#
# spec file for package NetworkManager-appindicator
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_appindicator 1

%define with_cacert_patch 1

# Do not edit this auto generated file! Edit NetworkManager-gnome.spec.
Name:           NetworkManager-appindicator
%define _name   NetworkManager-gnome
Url:            http://www.gnome.org/projects/NetworkManager/
Version:        1.0.10
Release:        13.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-glib-devel
# Needed for patch0
BuildRequires:  gnome-common
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel >= 3.4
BuildRequires:  intltool
BuildRequires:  libnotify-devel
BuildRequires:  libtool
# Needed by patch0
BuildRequires:  polkit-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(NetworkManager) >= 1.0.0
BuildRequires:  pkgconfig(gudev-1.0) >= 147
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libnm-glib) >= 1.0.0
BuildRequires:  pkgconfig(libnm-glib-vpn) >= 1.0.0
BuildRequires:  pkgconfig(libnm-util) >= 1.0.0
BuildRequires:  pkgconfig(libsecret-unstable)
BuildRequires:  pkgconfig(mm-glib)
%if !0%{?is_opensuse}
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
%endif
%if %{build_appindicator}
# For some reason Configure wants version 3, but to compile it needs version 1
BuildRequires:  pkgconfig(appindicator3-0.1)
%endif
Summary:        GNOME applications for use with NetworkManager
License:        GPL-2.0+
Group:          System/GUI/GNOME
Source:         http://download.gnome.org/sources/network-manager-applet/1.0/network-manager-applet-%{version}.tar.xz
Source1:        nm-icons.tar.gz
Source2:        nm-icons-appindicator.tar.gz
# PATCH-FIX-UPSTREAM nm-applet-private-connection.patch bnc#751211 bgo#646187 dimstar@opensuse.org -- Create private connections if the user is not authorized. Allows to create wifi connections without root access. Patch under discussion upstream.
Patch0:         nm-applet-private-connection.patch
# PATCH-NEEDS-REBASE nm-applet-probe-radius-server-cert.patch bnc#574266 glin@suse.com -- Probe the RADIUS server certificate (WAS: PATCH-FIX-UPSTREAM)
Patch1:         nm-applet-probe-radius-server-cert.patch
# PATCH-FEATURE-UPSTREAM NetworkManager-gnome-no-firewalld.patch boo#897636 bgo#737687 dimstar@opensuse.org -- Allow to disable FirewallD integration
Patch2:         NetworkManager-gnome-no-firewalld.patch
# PATCH-FEATURE-UPSTREAM AppIndicator systray support
Patch3:         nm-applet-app-indicator.patch
# PATCH-FIX-UPSTREAM NetworkManager-wrongly-placed-brace.patch dimstar@opensuse.org -- Fix wrongly placed brace, taken from git
Patch4:         NetworkManager-wrongly-placed-brace.patch
# PATCH-FIX-SLE nm-applet-migration-tool.patch bsc#952123 sckang@suse.com -- Build migration tool on SLE to migrate old VPN configurations
Patch5:         nm-applet-migration-tool.patch
# PATCH-FIX-UPSTREAM nm-applet-fix-export-button-not-sensible.patch bsc#991607 sckang@suse.com -- Fix sensitivity of "Export" button for VPN
Patch6:         nm-applet-fix-export-button-not-sensible.patch
# PATCH-FIX-OPENSUSE NetworkManager-gnome-bsc1003069-default-agent-owned-secrets.patch bsc#1003069 hpj@suse.com -- Make sure secrets default to agent-owned (encrypted keyring).
Patch7:         NetworkManager-gnome-bsc1003069-default-agent-owned-secrets.patch
# PATCH-FIX-UPSTREAM nm-applet-support-ttls-mschapv2.patch bsc#1009019 bgo#768489 sckang@suse.com -- Add support for plain MSCHAPV2 as inner authentication of TTLS
Patch8:         nm-applet-support-ttls-mschapv2.patch
Provides:       NetworkManager-client
Requires:       NetworkManager >= 0.9.3
# needed for translated country names
Requires:       iso-codes
# mobile-broadband-provider-info is required for DUN capabilities. The BT plugin crashes without it.
Requires:       mobile-broadband-provider-info
Requires:       timezone
Requires:       dbus(org.freedesktop.secrets)
%if %{with_cacert_patch}
Requires:       NetworkManager(cacert-patch)
%endif
Recommends:     %{_name}-lang
Recommends:     NetworkManager-connection-editor
%glib2_gsettings_schema_requires

%if %{build_appindicator}
Conflicts:      NetworkManager-gnome
%else
Conflicts:      NetworkManager-appindicator
%endif
%description
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.

%if !%{build_appindicator}
%package -n NetworkManager-connection-editor
Summary:        GUI to configure connections for NetworkManager
Group:          System/GUI/GNOME

%description -n NetworkManager-connection-editor
NetworkManager Configuration tool - take control over your connection settings.

%package -n libnm-gtk0
Summary:        NetworkManager Gtk+ dialogs
Group:          System/Libraries

%description -n libnm-gtk0
This library provides GTK+ dialogs for NetworkManager integration.

%package -n typelib-1_0-NMGtk-1_0
Summary:        NetworkManager Gtk+ dialogs -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-NMGtk-1_0
This library provides GTK+ dialogs for NetworkManager integration
provided as introspection bindings.

%package -n libnm-gtk-devel
Summary:        NetworkManager Gtk+ dialogs -- Development Files
Group:          Development/Libraries/GNOME
Requires:       libnm-gtk0 = %{version}
Requires:       typelib-1_0-NMGtk-1_0 = %{version}

%description -n libnm-gtk-devel
This library provides GTK+ dialogs for NetworkManager integration.
%endif

%lang_package
%prep
%setup -q -n network-manager-applet-%{version} -a 1 -a 2
%patch0 -p1
%if %{with_cacert_patch}
%patch1 -p1
%endif
%patch2 -p1
%if %{build_appindicator}
%patch3 -p1
%endif
%patch4 -p1
%if !0%{?is_opensuse}
%patch5 -p1
%endif
%patch6 -p1
%patch7 -p1
%patch8 -p1
##translation-update-upstream

%build
# Needed for patch0
NOCONFIGURE=1 gnome-autogen.sh
%configure \
    --disable-static \
    --disable-maintainer-mode \
%if 0%{?is_opensuse}
    --disable-migration \
%endif
%if %{build_appindicator}
    --with-appindicator \
%endif
    --without-firewalld
%__make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -delete -print
# align the name of the appdata file with the name of the .desktop file
mv %{buildroot}%{_datadir}/appdata/org.gnome.nm-connection-editor.appdata.xml \
   %{buildroot}%{_datadir}/appdata/nm-connection-editor.appdata.xml
%suse_update_desktop_file %{buildroot}%{_datadir}/applications/nm-applet.desktop
%suse_update_desktop_file %{buildroot}%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%if !0%{?is_opensuse}
%suse_update_desktop_file %{buildroot}%{_sysconfdir}/xdg/autostart/nm-applet-migration-tool.desktop
%endif
%suse_update_desktop_file -r nm-connection-editor GTK GNOME System X-SuSE-ServiceConfiguration
%if !%{build_appindicator}
%find_lang nm-applet %{?no_lang_C}
cp -r nm-icons/* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/
%else
cp -r nm-icons-appindicator/* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/
mkdir -p %{buildroot}/%{_docdir}/%{name}/
mv %{buildroot}%{_datadir}/icons/hicolor/COPYING %{buildroot}/%{_docdir}/COPYING.icons
mv %{buildroot}%{_datadir}/icons/hicolor/CREDITS %{buildroot}/%{_docdir}/CREDITS.icons

# Remove files from packages built in NetworkManager-gnome
rm %{buildroot}%{_libdir}/libnm-gtk.so.*
rm -r %{buildroot}%{_datadir}/libnm-gtk/

rm %{buildroot}%{_libdir}/girepository-1.0/NMGtk-1.0.typelib

rm %{buildroot}%{_datadir}/gir-1.0/NMGtk-1.0.gir
rm -r %{buildroot}%{_includedir}/libnm-gtk/
rm %{buildroot}%{_libdir}/libnm-gtk.so
rm %{buildroot}%{_libdir}/pkgconfig/libnm-gtk.pc

rm -r %{buildroot}%{_datadir}/locale/

# nm-connection-editor is built as a separate package and can be shared
find %{buildroot} -name 'nm-connection-editor*' -delete -print

%endif

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%if !%{build_appindicator}
%post -n libnm-gtk0 -p /sbin/ldconfig

%postun -n libnm-gtk0 -p /sbin/ldconfig
%endif 

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING
%{_mandir}/man1/nm-applet.1%{?ext_man}
%{_bindir}/nm-applet
%{_datadir}/nm-applet
%if !0%{?is_opensuse}
%{_libexecdir}/nm-applet-migration-tool
%endif
# This file moves to NetworkManager-connection-editor
%exclude %{_datadir}/nm-applet/nm-connection-editor.ui
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_datadir}/applications/nm-applet.desktop
%if !0%{?is_opensuse}
%{_sysconfdir}/xdg/autostart/nm-applet-migration-tool.desktop
%endif
%if %{build_appindicator}
%{_docdir}/*
%{_datadir}/icons/hicolor/*/status/*.png
%endif

%if !%{build_appindicator}
%files -n NetworkManager-connection-editor
%defattr(-,root,root)
%{_bindir}/nm-connection-editor
%{_datadir}/applications/nm-connection-editor.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/nm-connection-editor.appdata.xml
%dir %{_datadir}/nm-applet
%{_datadir}/nm-applet/nm-connection-editor.ui
%{_mandir}/man1/nm-connection-editor.1%{?ext_man}

%files -n libnm-gtk0
%defattr(-,root,root)
%{_libdir}/libnm-gtk.so.*
%{_datadir}/libnm-gtk/

%files -n typelib-1_0-NMGtk-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib

%files -n libnm-gtk-devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/NMGtk-1.0.gir
%{_includedir}/libnm-gtk/
%{_libdir}/libnm-gtk.so
%{_libdir}/pkgconfig/libnm-gtk.pc

%files lang -f nm-applet.lang
%endif

%changelog
* Thu Dec  8 2016 sckang@suse.com
- Add nm-applet-support-ttls-mschapv2.patch: Add support for plain
  MSCHAPV2 as inner authentication method when using TTLS as outer
  authentication method (bsc#1009019,bgo#768489).
* Fri Nov  4 2016 hpj@suse.com
- Add NetworkManager-gnome-bsc1003069-default-agent-owned-secrets.patch
  (bsc#1003069).
* Sat Oct  8 2016 sckang@suse.com
- Add nm-applet-fix-export-button-not-sensible.patch: Pick upstream
  commit 324f17354146242307687c75908cba0362606c8c to fix
  sensitivity of "Export" button for VPN (bsc#991607).
* Fri Sep 23 2016 sckang@suse.com
- Modify nm-applet-migration-tool.patch: Fix reboot/shutdown button
  cannot present reboot/shutdown dialog in SLED and fix systemctl
  restarts gdm every few minutes (bsc#1001137, bsc#1000648).
* Tue Sep 20 2016 sckang@suse.com
- Add nm-applet-migration-tool.patch: Build and autostart migration
  tool in SLED to migrate old VPN settings (bsc#952123).
* Wed Sep  7 2016 sckang@suse.com
- Drop nm-applet-fix-missing-translation.patch: This patch leads to
  conflict between accelerate keys. And it won't fix the missing
  translations, since the problem comes from those untranslated
  POs.
* Mon Aug 29 2016 sckang@suse.com
- Drop nm-applet-build-don-t-try-to-build-bluetooth-widget-with-bluez5.patch:
  Fixed in upstream.
* Mon Jul 25 2016 sckang@suse.com
- Add nm-applet-fix-missing-translation.patch: Fix missing
  translation in ce-page-team.ui(bsc#988533).
* Mon May 23 2016 dimstar@opensuse.org
- Add NetworkManager-wrongly-placed-brace.patch: fix wrongly placed
  brace.
* Wed Apr 13 2016 sckang@suse.com
- Update to GNOME 3.20  Fate#318572
- Drop nm-applet-build-don-t-try-to-build-bluetooth-widget-with-newer.patch:
  Fixed in upstream.
- Rebase nm-applet-build-don-t-try-to-build-bluetooth-widget-with-bluez5.patch.
- Rebase nm-applet-probe-radius-server-cert.patch.
- Rebase nm-applet-private-connection.patch.
- Add NetworkManager-appindicator.changes.
- Add NetworkManager-appindicator.spec.
- Add NetworkManager-gnome-no-firewalld.patch.
- Add nm-applet-app-indicator.patch.
- Add nm-icons-appindicator.tar.gz.
- Add pre_checkin.sh.
* Thu Apr  7 2016 sckang@suse.com
- Add nm-applet-build-don-t-try-to-build-bluetooth-widget-with-bluez5.patch
  + BlueZ 5 supported is default, disable the bluetooth plugin
    when BlueZ 5 is used.(bnc#876552)
  + Add bluez Requires
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 1.0.10:
  + Bluetooth page in connection editor is now populated with
    available Bluetooth devices.
  + Fix a possible agent crash when cancelling the secrets request.
  + Updated translations.
- Rebase nm-applet-private-connection.patch.
* Mon Dec  7 2015 dimstar@opensuse.org
- Split nm-connection-editor into a separate package
  (NetworkManager-connection-editor), which is then recommended by
  NetworkManager-gnome and NetworkManager-appindicator. The VPN
  plugins should then require connection editor, as that's what
  they're actually extending. As a result,
  NetworkManager-appindicator users would receive the option to
  install those plugins without conflicts.
* Sun Nov 22 2015 zaitor@opensuse.org
- Update to version 1.0.8:
  + Added hotspot support to the editor.
  + Password widgets now emits a signal for secret flag changes.
  + The connection validation errors are now communicated in a
    tooltip.
  + The editor is now able to edit the VLAN flags.
  + Several bug fixes.
  + Updated translations.
- Rebase nm-applet-probe-radius-server-cert.patch.
* Mon Oct 12 2015 dimstar@opensuse.org
- Align the name of the appdata file with the desktop file: rename
  org.gnome.nm-connection-editor.appdata.xml to
  nm-connection-editor.appdata.xml
* Wed Sep 16 2015 dimstar@opensuse.org
- Own %%{_datadir}/appdata to fix build in Leap 42.1.
* Tue Sep  1 2015 simon@simotek.net
- Add dual spec file for building appindicator support
- Add nm-applet-app-indicator.patch: introduce appindicator
  support.
* Tue Sep  1 2015 simon@simotek.net
- Update to version 1.0.6:
  + Added option to set MTU of Team devices.
  + Added AppData for nm-connection-editor.
  + Build fixes.
  + Updated Czech, Polish and Hungarian translations.
* Wed Aug 19 2015 dimstar@opensuse.org
- Toggle with_cacert_patch to 1: the patch has been rebased.
* Wed Jul 15 2015 dimstar@opensuse.org
- Update to version 1.0.4:
  + Setting MTU for a bond device is now supported.
  + Connecting to a wireless network from the NetworkManager applet
    no longer results in an attempt to create system-wide
    connections. This fixes the ability to connect to a wireless
    network for non-privileged user.
  + The master interface name is used instead of master connection
    UUID for slave connections created with nm-connection-editor.
    This fixes compatibility of the ifcfg configuration files with
    the legacy network service.
  + It is now possible to specify an interface name instead of a
    MAC address when editing a connection using
    nm-connection-editor.
  + The WWAN connections now have IPv6 enabled by default.
  + libnm-gtk includes functions for password storage selection,
    which eases implementation of password GUI for VPN plugins and
    other users.
- Rebase nm-applet-probe-radius-server-cert.patch and
  nm-applet-probe-radius-server-cert.patch.
- Toggle with_cacert_patch to 0: the cacert patch is currently
  disabled in NetworkManager (boo#938198).
* Wed May  6 2015 dimstar@opensuse.org
- Update to version 1.0.2:
  + The applet is no longer started in GNOME 3.
  + STP controls are no longer displayed if STP is disabled.
  + Improved accessibility for screen reader users.
  + Multiple bugs fixed, including crashes.
  + Updated translations.
* Thu Mar 12 2015 dimstar@opensuse.org
- Add with_cacert_patch condition. When enabled:
  + Add NetworkManager(cacert-patch) Requires
  + Apply nm-applet-probe-radius-server-cert.patch
  + This needs to be toggled whenever NetworkManager is updated
    and the nm-probe-radius-server-cert.patch there is not rebased
    yet.
* Tue Mar 10 2015 glin@suse.com
- Refresh and enable nm-applet-probe-radius-server-cert.patch
* Tue Jan 27 2015 dimstar@opensuse.org
- Update to version 1.0.0:
  + Added support for editing Bluetooth mobile broadband
    connections.
  + Added support for IPv6 mobile broadband connections.
  + Allow IPv6-only configuration for more connection types.
  + The applet and editor are no longer shown in GNOME 3, which has
    its own network indicator and control panel.
- Rebase NetworkManager-gnome-no-firewalld.patch.
- Disable nm-applet-probe-radius-server-cert.patch for now: needs
  rebase (possibly only in NetworkManager itself).
* Tue Sep 30 2014 dimstar@opensuse.org
- Add NetworkManager-gnome-no-firewalld.patch: Allow to build
  without firewalld integration (which openSUSE does not offer,
  boo#897636).
- Pass --without-firewalld to configure, to disable integration.
* Tue Aug 19 2014 acho@suse.com
- Added patches:
  - Add nm-applet-build-don-t-try-to-build-bluetooth-widget-with-newer.patch
    + Since the plugin API no longer exists(bnc#876552).
  - Add nm-applet-build-network-manager-applet-add-rules-for-BlueZ-.patch
    + BlueZ 5 supported is default,
    disable the bluetooth plugin when BlueZ 5 is used(bnc#876552).
    + Add bluez Requires
* Tue Jul 15 2014 glin@suse.com
- Rebase nm-applet-probe-radius-server-cert.patch.
* Wed Jul  9 2014 dimstar@opensuse.org
- Update to version 0.9.10.0:
  + Added controls for IPv6 privacy extensions.
  + Added support for VPN hints for new/additional secrets during
    connection.
  + Added support for Data Center Bridging and FibreChannel over
    Ethernet configuration.
  + Improved connections to new hidden WiFi networks.
  + Allow slaves VLANs/slaves of more device types.
  + Added support for changing password flags.
  + Passwords/secrets now default to user-agent storage instead of
    system-wide storage.
  + Added support for editing Team connections.
  + Rework CA certificate warnings to be less annoying.
- Rebase nm-applet-private-connection.patch.
- Disable nm-applet-probe-radius-server-cert.patch: needs further
  investigation.
* Fri Apr 25 2014 dimstar@opensuse.org
- Update to version 0.9.8.10:
  + Fixed the applet to not show the PIN unlock dialog even if the
    PIN was saved in the keyring.
  + Fixed a GSettings-related warning when using GLib 2.40.
* Fri Apr  4 2014 dimstar@opensuse.org
- Update to version 0.9.8.9:
  + Changed the default configuration of WPA Enterprise EAP
    certificate lookup to not use the system CA store by default,
    since this turns out to be a bad default.
  + We no longer try to build the bluetooth widget when using newer
    versions of gnome-bluetooth (that no longer support plugins).
  + Updated translations.
* Tue Dec 24 2013 dimstar@opensuse.org
- Drop gnome-bluetooth-devel BuildRequires: on GNOME 3.11.x, the
  bluetooth widget is no longer supported.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 0.9.8.8:
  + nm-applet is now started under GNOME 3 again (but never acts as
    a "secret agent" under GNOME Shell). This fixes the lack of
    password dialogs in some GNOME-3-based sessions (bgo#709410),
    and fixes the lack of a mobile broadband PIN unlock dialog
    under GNOME Shell.
  + Fixed a warning when closing the VPN import/export dialogs.
  + Made nm-applet use g_debug(); set G_MESSAGES_DEBUG=nm-applet to
    see logging now.
  + Updated translations.
* Tue Oct  1 2013 glin@suse.com
- Rebase nm-applet-private-connection.patch for 0.9.8.4
  (bnc#751211)
- Add nm-applet-probe-radius-server-cert.patch to probe the
  certificate the RADIUS server (bnc#574266)
* Fri Sep 13 2013 dimstar@opensuse.org
- Update to version 0.9.8.4:
  + Fix handling of bonding mode and VLAN parent fields in editor.
  + Fix crash when failing to read secrets from the keyring.
  + nm-applet is no longer autostarted under GNOME.
  + Updated translations.
* Wed Sep 11 2013 dimstar@opensuse.org
- Add dbus(org.freedesktop.secrets) Requires (bnc#828387).
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 0.9.8.2:
  + Conversion from gnome-keyring to libsecret; libsecret is now
    required to build.
  + Editor no longer overwrites master interface name with the
    master UUID.
  + Fix crashes when using ModemManager 0.7/0.8.
  + Fix allowed values for VLAN ID and MTU in the editor.
  + Preserve existing PPP LCP echo failure and interval values.
  + Ensure Bridge STP checkbox values are saved.
  + Hide BSSID for Wi-Fi Ad-Hoc connections (it's autocreated by
    the kernel).
  + Ensure IPv6 next-hop/gateway values are sane.
  + Fix problems with the MAC address combo box on various pages.
  + Only request secrets from the user when allowed to.
  + Fix running with GTK+ 2.x.
  + Fix signal icons to work with newer libpng.
  + Don't show Wi-Fi Security combo when not required.
  + Improve applet icon size handling.
  + Show more helpful errors when VPN plugins are not installed.
  + Updated translations.
- Replace gnome-keyring-devel BuildRequires with
  pkgconfig(libsecret-unstable), following upstreams port to
  libsecret.
* Fri Feb 22 2013 zaitor@opensuse.org
- Update to version 0.9.8.0:
  + Add manpages for nm-applet and nm-connection-editor.
- Stop passing --disable-more-warnings to configure, it builds fine
  without it now.
- Exchange NetworkManager-devel BuildRequires for
  pkgconfig(NetworkManager), pkgconfig(libnm-glib),
  pkgconfig(libnm-glib-vpn) and pkgconfig(libnm-util)
  BuildRequires, following what configure checks for.
* Sat Feb  9 2013 dimstar@opensuse.org
- Update to version 0.9.7.997:
  + Ensure AP mode connections are treated as Hotspot too.
  + Build fixes.
  + Editor fixes.
  + Editor: hide widgets that aren't supported for VPNs on the
    general page.
  + Updated translations.
* Mon Feb  4 2013 dimstar@opensuse.org
- Update to version 0.9.7.995:
  + Rework connection editor main UI to better support different
    connection types
  + Add connection editor support for WiMAX, Infiniband, Bond, and
    VLAN connections
  + Suggest "seen BSSIDs" for WiFi BSSID entry
  + Add connection editor support for autoconnect VPN connections
  + Add a "General" page to the connection editor and move general
    options to it
  + Fix GNOME Bluetooth plugin for recent versions of GNOME
    Bluetooth and the GNOME Control Center
  + Add LTE and HSPA+ icons to the applet
  + Fix connection editor command-line passing to already-running
    instance
  + Suppress nm-applet notifications when GNOME Shell is running
  + Ensure 802.1x passwords default to "agent owned" and not
    system-wide
  + Default to using system CA certificates for new connections
  + Add support for ModemManager 0.7/0.8
  + Fix a crash when editing IP addresses with the XIM input
    framework
  + Fix handling of connection Zone when firewalld is active
  + Fix saving a connection when ignoring a missing CA certificate
- Add pkgconfig(mm-glib) BuildRequires: dependency for ModemManager
  support.
- Add pkgconfig(gudev-1.0) BuildRequires: new depdendency.
- Add gobject-introspection-devel BuildRequires: new dependency.
- Split new subpackage typelib-1_0-NMGtk-1_0.
* Mon Feb  4 2013 dimstar@opensuse.org
- Fix nm-applet-private-connection.patch: Allow to select a BT
  paired devices a PAN/NAP device. Without this fix,
  gnome-control-center crashes at that moment.
* Sat Oct 27 2012 dimstar@opensuse.org
- Update to version 0.9.6.4:
  + Better cooperation with GNOME Shell
  + Fix connection editing from external tools when the editor is
    already open
  + Backport new libnm-gtk API to work with recent GNOME Control
    Center versions
  + Updated translations.
* Mon Aug 13 2012 dimstar@opensuse.org
- Update to version 0.9.6.2:
  + Fix GNOME Bluetooth plugin DUN modem detection and setup.
* Tue Aug  7 2012 dimstar@opensuse.org
- Update to version 0.9.6.0:
  + Only handle VPN secrets for GNOME Shell 3.3 and lower.
* Tue Jul 24 2012 dimstar@opensuse.org
- Update to version 0.9.5.96:
  + Recognize PKCS#12 certificates imported from Firefox
  + Pre-fill CDMA username/password in the mobile broadband wizard.
* Fri Jun 29 2012 dimstar@opensuse.org
- Update to version 0.9.5.95:
  + Fixed UI mnemonics.
  + Various crash and stability fixes.
  + Allow appending DNS servers and domains in automatic addressing
    mode.
  + Fix defaults for PPP echo values.
  + Show IPv6 addressing page for VPN plugins that support it.
  + Port to GSettings and split out 0.8 -> 0.9 migration code into
    standalone tool.
- Pass --disable-migration to configure: no supported openSUSE
  version has NetworkManager <= 0.8 anymore, so we do not need the
  migration tool.
- Replace gconf schema handling macros with glib variants.
- Drop gconf2-devel BuildRequires: without the migration tool,
  there is no need to access gconf anymore.
* Thu Jun 28 2012 dimstar@opensuse.org
- Add nm-applet-private-connection.patch: Create private
  connections if the user is not authorized.
  Some distributions do not allow the normal user to create a
  system connection without the polkit authentication. This commit
  checks the polkit policy and creates private connections if the
  user is not authorized. [bnc#751211].
- Add polkit-devel BuildRequires, as the above patch makes use
  of it.
- Add gnome-common BuildRequires and call to gnome-autogen.sh, as
  above patch touches the build system.
* Sat Mar 24 2012 vuntz@opensuse.org
- Update to version 0.9.4.1:
  + No change compared to 0.9.4.1.
- Changes from version 0.9.4.0:
  + Do not run our own secret agent when GNOME Shell is running.
  + Several bug fixes.
  + Updated translations.
- Drop NetworkManager-gnome-OnlyShowIn.patch: this was implemented
  with NotShowIn upstream.
* Tue Mar 20 2012 vuntz@opensuse.org
- Update to version 0.9.3.997:
  + More flexible build-time warnings with
  - -enable-more-warnings=[yes|no|error]
  + Removed unused PolicyKit configure check
  + Lazily initialize the notification service for faster startup
  + Fix various memory leaks
  + Warn user if CA certificate is left blank in the editor for
    802.1x
  + Disabled creation of WPA-protected Ad-Hoc WiFi networks due to
    kernel bugs
- Remove polkit-devel BuildRequires: removed upstream.
* Fri Mar  2 2012 dimstar@opensuse.org
- Update to version 0.9.3.995:
  + Updated translations.
* Sat Feb 18 2012 dimstar@opensuse.org
- Update to version 0.9.3.990:
  + Fix interaction of single-connection edit mode with PolicyKit
  + Add EAP-FAST support
  + Make editor connection list sortable
  + Ensure mobile broadband provider list is sensitized correctly
- Drop NetworkManager-gnome-link-gkr.patch: fixed upstream.
- Remove call to autoreconf: it was only needed for above patch.
* Wed Feb  8 2012 dimstar@opensuse.org
- Add NetworkManager-gnome-link-gkr.patch: Fix linking with
  gnome-keyring in a gconf-helpers test program.
- Add call to autoreconf in %%prep, as above patch touches the build
  system.
* Sat Nov 12 2011 dimstar@opensuse.org
- Update to version 0.9.2.0:
  + Updated translations.
- Pass --disable-more-warnings to configure to allow building with
  gtk+ 3.3.
- Really enable parallel build: fix typo smp_flags => smp_mflags.
* Mon Oct 31 2011 dimstar@opensuse.org
- Update to version 0.9.1.95:
  + Select user's home directory by default for VPN import
  + Show VPN details in the Connection Information dialog
  + Allow auto-unlocking of GSM modems
  + Fix crash of Bluetooth widget after pairing
- Drop NetworkManager-gnome-bluetooth-crash.patch: fixed upstream.
* Fri Oct 28 2011 badshah400@gmail.com
- Replace category SystemSetup by X-SuSE-ServiceConfiguration to
  suppress rpmlint warnings
* Wed Oct 26 2011 badshah400@gmail.com
- Modified categories in .desktop file so that it is grouped with
  "System" applications in the desktop menus (bnc#714333)
* Thu Oct 13 2011 vuntz@opensuse.org
- Add NetworkManager-gnome-bluetooth-crash.patch: fix some crash in
  gnome-control-center when disabling bluetooth.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 0.9.1.90:
  + New private library for wireless and mobile dialogs
  + iso-codes package used for translated country names in the
    mobile broadband wizard
- Add pkgconfig(iso-codes) BuildRequires and iso-codes Requires for
  the new use of iso-codes.
- Create libnm-gtk0 and libnm-gtk-devel subpackages, for the new
  library.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Sep  7 2011 vuntz@opensuse.org
- Remove NetworkManager-glib BuildRequires: we don't need an
  explicit BuildRequires for libraries.
- Remove libglade2-devel, libgudev-1_0-devel, libiw-devel
  BuildRequires: they are unneeded.
- Change dbus-1-glib BuildRequires to dbus-1-glib-devel: we're
  interested in the devel subpackage.
* Tue Aug 23 2011 dimstar@opensuse.org
- Update to version 0.9.0:
  + Fix compatibility with GTK+ <= 2.22.
  + Change "Device MAC address" to combo box with an entry.
  + Default to IPv6 Auto for manually created connections.
  + Enable registration state home/roaming notifications for CDMA.
  + Fix various VPN secret saving issues.
* Thu Jun  9 2011 fcrozat@novell.com
- Update to 0.8.9997:
  + don't allow inserting 0.0.0.0 as destination and netmask for
    IPv4 routes.
  + Fix crash when connection is invalid.
  + Complete openconnect migration support.
  + handle PKCS#8 private keys.
  + filter APN entry characters in mobile-wizard.
  + allow _ as APN character.
  + Updated translations.
* Wed May  4 2011 dimstar@opensuse.org
- Update to version 0.8.999:
  + Give modems more time to unlock themselves after PIN entry
  + Fix creation of 802.1x-enabled connections in the applet
  + Don't crash gnome-bluetooth on some failures when creating new
    DUN connections
  + Much better handling of IP addresses in the editor
  + Updated translations.
- Drop NetworkManager-gnome-fix-wpa-e.patch: fixed upstream.
* Mon May  2 2011 fcrozat@novell.com
- Add NetworkManager-gnome-fix-wpa-e.patch: fix WPA-Enterprise
  support (bgo#646210) (git)
* Tue Apr  5 2011 dimstar@opensuse.org
- Update to version 0.8.998 (0.9.0-rc1):
  + Bugs fixed: bgo#646043, bgo#646643.
  + Updated translations.
- Rebase NetworkManager-gnome-OnlyShowIn.patch
* Sun Mar 20 2011 dimstar@opensuse.org
- Update to version 0.8.997 (0.9 beta3):
  + Mostly bugfixes.
* Wed Mar 16 2011 dimstar@opensuse.org
- Update to version 0.8.996 (0.9 beta2):
  + don't require glib 2.26
  + deb#615082, lp#725041: fixes for new dnsmasq
  + crash fixes
  + ifupdown plugin fixes
  + save connection timestamps in /var not /etc
  + install time fixes for Arch Linux
  + libnm-glib crash and correctness fixes
  + fix display of SSIDs in applet tooltips
  + build fixes and cleanups
  + import existing user connections
- Summary from 0.8.995 (0.9 beta1)
  + simpler, easier, more flexible, and cooler applets.
  + Fast User Switching.
  + WiMAX support.
  + System connections by default.
  + More flexible system administration.
  + Scales down to smaller devices.
- Rebase NetworkManager-gnome-OnlyShowIn.patch
- Change gtk2-devel BuildRequires to gtk3-devel.
- Stop removing %%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
  ourselves: it's not installed anymore.
* Mon Feb 14 2011 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Thu Dec 23 2010 gber@opensuse.org
- updated NetworkManager-gnome-OnlyShowIn.patch in order to start
  nm-applet under Xfce as well
* Sat Nov  6 2010 dimstar@opensuse.org
- Update to version 0.8.2:
  + Hide mobile broadband PIN code when it's entered
  + Ensure Enable Wireless and Enable Networking always correctly
    sensitized
  + Fix handling of slow mobile broadband devices when entering a
    PIN
  + Startup performance improvements
  + Easier keyboard navigation of the connection editor
  + Show VPN connection notification even if VPN provides none
  + Fix handling of VPN secrets when moving connections from system
    to user
  + Updated translations.
- Drop upstream fixed patches:
  + NetworkManager-gnome-fix-new-glib.patch
  + Drop NetworkManager-gnome-remove-bad-category.patch
- Split out -lang package.
* Mon Sep  6 2010 vuntz@opensuse.org
- Add NetworkManager-gnome-remove-bad-category.patch to remove a
  category that should not exist upstream anyway. Instead, add
  X-SuSE-ControlCenter-Hardware to nm-connection-editor.desktop
  later on with suse_update_desktop_file.
* Mon Aug  9 2010 vuntz@opensuse.org
- Do not add -fno-strict-aliasing to CFLAGS: it's not needed
  anymore.
- Remove non-existing --with-notify configure option.
- Re-enable parallel build.
* Mon Jul 26 2010 dimstar@opensuse.org
- Upodate to version 0.8.1:
  + Bluetooth Dial-Up Networking
  + Mobile Broadband Status: signal strength, roaming, and access
    technology display
  + Enhanced IPv6 support
  + Updated translations
- Pass --disable-maintainer-mode to configure to allow building
  with latest gtk.
* Mon Jun 21 2010 dimstar@opensuse.org
- Require mobile-broadband-provider-info for DUN capabilities. The
  BT plugin crashes when selecting DUN without this package
  available.
* Fri Apr 23 2010 bili@novell.com 
- Add a general frontend dbus configuration in NetworkManager
  so delete the conf in nm-applet, bili@novell.com(bnc#476502).
* Sun Apr 18 2010 crrodriguez@opensuse.org
- Requires timezone package
* Tue Feb 23 2010 vuntz@opensuse.org
- Rename 0002-Autostart-nm-applet-in-GNOME-session-only.patch to
  NetworkManager-gnome-OnlyShowIn.patch, and add LXDE to
  OnlyShowIn.
- This is based on work by Andrea Florio <andrea@opensuse.org>
* Tue Feb 23 2010 dimstar@opensuse.org
- Update to version 0.8:
  + rh#494641 - Add --help to explain what nm-applet is/does
  + core: clearer failure message when an applet is already running
  + dun: refactor gnome bluetooth plugin to use bluetooth client
  + rh#556763 - wired: don't crash when getting 802.1x settings
    from the user
  + rh#557007 - info: don't crash on various D-Bus property errors
  + core: fix clearing secrets when updating connections
  + rh#541353 - link nm-connection-editor with libm for ceil()
  + gsm: fix secret request when connection has multiple secrets
  + Updated translations.
* Thu Feb 11 2010 vuntz@opensuse.org
- Change again gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel, following the module split upstream.
* Thu Jan 21 2010 tambet@novell.com
- Upgrade to the latest upstream 0.8 branch:
  + New popup menu UI.
  + Ability to manually disconnect active devices.
  + Rework PolicyKit support.
  + Now it's possible to disable (somewhat annoying) notifications
  + Require newer glib and remove cut+pasted code for things that are now in
    glib (GChecksum, )
  + Certificate handling improvements.
  + Add lockdown support for "Create new wireless network..."
  + New wizard for GSM/CDMA connection setup
  + Translation updates.
  + Lots of bug fixes.
* Wed Dec 23 2009 vuntz@opensuse.org
- Change gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel, following the module split upstream.
* Fri Sep 25 2009 andrea@opensuse.org
- Replaced 0002-Autostart-nm-applet-in-GNOME-session-only.patch
  with 0002-Autostart-nm-applet-in-GNOME-LXDE-session-only.patch:
  Add LXDE to OnlyShowIn, as LXDE uses the gtk2 NetworkManager.
* Fri Sep  4 2009 tambet@novell.com
- Fix the 802.1x wired authentication dialog to use the entered
  secrets (bnc #525401).
* Tue Aug 25 2009 tambet@novell.com
- The ModemManager API signatures have been changed for some calls,
  adjust the calling code (bnc #533261).
* Thu Jun 11 2009 vuntz@novell.com
- Remove libgnomeui-devel BuildRequires, which isn't needed.
* Wed May 27 2009 tambet@novell.com
- Update to 0.7.1.
* Tue Apr 28 2009 vuntz@novell.com
- Add -fno-strict-aliasing to CFLAGS to fix build with gcc 4.4.
* Sun Feb  1 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn.
* Sun Jan 25 2009 vuntz@novell.com
- Call %%suse_update_desktop_file on all desktop files. Part of
  bnc#445728.
* Mon Jan 12 2009 michael.meeks@novell.com
- Hide all "Show Password" widgets from the UI.
* Fri Jan  9 2009 tambet@novell.com
- Hide characters entered to the PIN request entry (bnc #456722).
- Add widgets to allow choosing CA from system "database"
  (bnc #456050).
* Wed Dec  3 2008 tambet@novell.com
- Rebase from the official NetworkManager 0.7.0 release:
  + Update translations: de, sv.
* Fri Nov 21 2008 tambet@novell.com
- Fix conversion of NM 0.6 vpnc connections with custom routes.
- Add support for PKCS#12 certificates.
- Fix a bunch of non-accurate warnings.
- Lot's of small bug fixes.
- Updated translations: es, hu, pl.
* Fri Nov 14 2008 tambet@novell.com
- Fix private key handling.
* Mon Nov  3 2008 tambet@suse.de
- Use the accessors provided by NM instead of poking the private
  structures directly for settings. (a.k.a make it built with the
  latest NetworkManager again.)
* Fri Oct 24 2008 tambet@suse.de
- Updated connection editor UI.
- List certificates with '.cer' and '.crt' extensions too.
- Update translations: be, cs, de, es, fi, fr, he, hu, nb, pl, sk, sv.
* Fri Oct 10 2008 tambet@suse.de
- Upgrade from upstream:
  + Correct translatables in the UI (bgo #554193).
  + Accept more delimiters for DNS servers and searches.
  + Update translations: es, et, fi, hu, nb, sv
* Fri Sep 26 2008 tambet@suse.de
- Upgrade from upstream:
  + Fix some memory leaks.
  + Fix names & constants to accurately reflect the network
    technologies (bgo #551361).
  + Fix some issues with upgrading gconf data (bgo #553465).
  + Handle VPN login failures (bnc #395564).
  + Updated translations: fr fi lt sv eu cs it.
* Fri Sep 12 2008 tambet@suse.de
- Add a progress dialog for GSM modem scanning.
- Update from the SVN:
  + Fix a crasher bug in connection editor (bnc #426661).
  + Fix a bug causing to not store secrets in keyring.
  + Update translations: fi, he, nl.
* Fri Sep 12 2008 tambet@suse.de
- Bring up to date with SVN.
- Add a patch to make use of ModemManager. That allows us to use
  more advanced features like signal quality monitoring, scanning,
  and seeing more information about modems.
- Require NetworkManager >= 0.7.0.r4060 since '0.7.0' is too vague.
- Build fixes required to compile with newer kernels.
* Fri Aug  1 2008 tambet@suse.de
- Bring up to date with SVN again.
* Mon Jun 30 2008 tambet@suse.de
- Bring up to date with SVN again.
* Wed May 28 2008 sbrabec@suse.cz
- Do not call gtk-update-icon-cache (bnc#395056).
* Fri May 23 2008 tambet@suse.de
- Show error dialog if updating, adding, or removing connection fails in
  connection editor.
- Implement changing connection type in connection editor (bnc #390170).
- Update GConf connections after all the changes are done to avoid invalid
  connection states while in between changes.
- Add a "DHCP with manual DNS settings" IP4 configuration method.
* Fri May  9 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Use PolicyKit to restrict system connections editing.
  Implement PIN code requesting for GSM devices.
  Implement system connections editing.
  Allow adding new connections in the connection editor.
  Improve connection editor pages.
  Lots of bug fixes.
* Fri Apr 11 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Rework the wireless security handling to support wired 802.1x.
  Implement wired 802.1x authentication.
  Remove the iwlib dependecy.
  Implement DSL handling.
  Implement editing in connection editor for most of the connection types.
  Add the WEP key index selector.
  Add an ID to connections to handle connection name changes correctly.
  Bug fixes.
* Thu Mar 13 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Support for multiple active devices.
  Adapt NetworkManager API changes.
- Don't autostart nm-applet in KDE (bnc #367258).
- Disable "Add" and "Edit" buttons in connection editor - these aren't
  implemented yet and only crash the editor (bnc #368750).
* Fri Feb 29 2008 tambet@suse.de
- Upgrade to the latest SVN.
* Mon Feb  4 2008 tambet@suse.de
- Update to the latest SVN.
* Fri Jan 11 2008 maw@suse.de
- Remove unnecessary Requires
- Parallel build is broken, so don't build in parallel.
* Wed Nov 28 2007 tambet@suse.de
- New spec file, split from NetworkManager.
